summaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/tests/optimization-test.sh
diff options
context:
space:
mode:
authorEmil Velikov <[email protected]>2017-02-23 13:15:42 +0000
committerEmil Velikov <[email protected]>2017-03-28 15:31:23 +0100
commit05bc5b35a7b57ca5c8be476b5c0c6ca2e59ef0ba (patch)
treeea11515ff607f28b5b95859a97ec6e78c4b55b82 /src/compiler/glsl/tests/optimization-test.sh
parentbd4be79fc5ba1dfb18ca25d7f2a39cfc9b23fdd2 (diff)
glsl/tests/optimisation-test: make sure that $PYTHON2 is set/available
Otherwise we'll fail when invoking the script outside of "make check" v2: use -ne over a string comparison (Eric) Signed-off-by: Emil Velikov <[email protected]> Acked-by: Kenneth Graunke <[email protected]> Reviewed-by: Eric Engestrom <[email protected]>
Diffstat (limited to 'src/compiler/glsl/tests/optimization-test.sh')
-rwxr-xr-xsrc/compiler/glsl/tests/optimization-test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/optimization-test.sh b/src/compiler/glsl/tests/optimization-test.sh
index dc9740f69f4..7410db64f14 100755
--- a/src/compiler/glsl/tests/optimization-test.sh
+++ b/src/compiler/glsl/tests/optimization-test.sh
@@ -6,6 +6,16 @@ else
compare_ir=./compare_ir.py
fi
+if [ -z "$PYTHON2" ]; then
+ PYTHON2=python2
+fi
+
+which $PYTHON2 >/dev/null
+if [ $? -ne 0 ]; then
+ echo "Could not find python2. Make sure that PYTHON2 variable is correctly set."
+ exit 1
+fi
+
total=0
pass=0